import acm.graphics.*;
import acm.program.*;

public class StringArt extends GraphicsProgram {

	/** The size of the screen **/
	public static final int APPLICATION_WIDTH = 400;
	public static final int APPLICATION_HEIGHT = 400;
	
	/** The number of pixels between end points of the line **/
	public static final int LINE_SPACING = 10;
	
	/** The number of lines we will have to draw **/
	public static final int NUM_LINES = APPLICATION_WIDTH / LINE_SPACING;

	public void run() {
		
		for(int i = 0; i < NUM_LINES; i++) {
			
			int offset = i * LINE_SPACING;
			System.out.println(offset);
			
			int x1 = 0;
			int y1 = offset;
			
			int x2 = offset;
			int y2 = getHeight();
			
			GLine line = new GLine(x1, y1, x2, y2);
			add(line);
			
			/*
			
			
			*/
		}
		
	}
}
